<div class="container">
  <br>
  <br>
  <div *ngIf="statusCode; else processing">
    <div *ngIf="statusCode >= 200 &&  statusCode < 300" [ngClass]="'success'">
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <strong>Success!</strong>
        <span *ngIf="statusCode === 201" [ngClass]="'success'">
          Department added successfully.
        </span>
        <span *ngIf="statusCode === 200" [ngClass]="'success'">
          Department updated successfully.
        </span>
        <span *ngIf="statusCode === 204" [ngClass]="'success'">
          Department deleted successfully.
        </span>
      </div>
    </div>
    <div *ngIf="statusCode >= 400" [ngClass]="'error'">
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <strong>Error!</strong>
        <span *ngIf="statusCode === 409" [ngClass]="'success'">
          Department already exists.
        </span>
        <span *ngIf="statusCode === 500" [ngClass]="'success'">
          Internal Server Error.
        </span>
      </div>
    </div>
  </div>
  <div class="row" *ngIf='departaments && departaments.length == 0'>
    <div class="col-md-12">
      <h3 class="text-center text-danger">There is no department</h3>
    </div>
  </div>
  <div class="row" *ngIf='departaments && departaments.length'>
    <div class="col-md-12">
      <h3 class="text-center">Departments list</h3>
    </div>
    <br>
    <br>
    <div class="col-md-12 text-center">
      <div class="table-responsive">
        <table class="table table-hover" *ngIf='departaments && departaments.length'>
          <thead class="thead-dark">
            <tr>
              <th style="width: 10%">Id</th>
              <th>Department name</th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let department of departaments">
              <td style="width: 10%">{{department.departmentId}}</td>
              <td>{{department.departmentName}}</td>
              <td style="width: 10%">
                <a class="btn btn-info btn-block" href="/projects">Details</a>
              </td>
              <td style="width: 10%">
                <button class="btn btn-warning btn-block" type="button" (click)="loadDepartmentToEdit(department.departmentId)">Edit</button>
              </td>
              <td style="width: 10%">
                <button class="btn btn-danger btn-block" type="button" (click)="deleteDepartment(department.departmentId)">Delete</button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <hr>
  <div class="row">
    <div class="col-md-4 offset-md-4">
      <button type="button" class="btn btn-primary btn-block" (click)="showForm()">Add department</button>
    </div>
  </div>
  <hr *ngIf="showFormValue">
  <div class="row" *ngIf="showFormValue">
    <div class="col-md-6 offset-md-3">
      <h4 class="text-center">Add/Update department</h4>
      <form [formGroup]="departmentForm" (ngSubmit)="onDepartmentFormSubmit()">
        <div class="form-group">
          <label for="departId">Id department:</label>
          <input type="departId" class="form-control" id="departId" formControlName="departmentId">
          <small *ngIf="departmentForm.get('departmentId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Id
            department is required.</small>
        </div>
        <div class="form-group">
          <label for="pwd">Department name:</label>
          <input type="departNem" class="form-control" id="departName" formControlName="departmentName">
          <small *ngIf="departmentForm.get('departmentName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Department
            name is required.</small>
        </div>
        <button type="submit" class="btn btn-success" *ngIf="!departmentIdToUpdate">Create</button>
        <button type="submit" class="btn btn-success" *ngIf="departmentIdToUpdate">Update</button>
        <button type="submit" class="btn btn-danger" (click)="backToCreateDepartment()" *ngIf="departmentIdToUpdate">Cancel</button>
      </form>
    </div>
  </div>
  <br>
  <br>
</div>
